# $Id: user_post.sed 323 2013-01-04 08:31:10Z oops $

:sumline
# Case that the last character of ther line is '/'
/\\[ \t]*$/ {
	# input next line to patern space.
	N

	# removed next line comment
	s/\([[:space:]]\+\)\?#.*\|"//g

	# remove '/' character and newline
	s/[ \t]*\\[ \t]*[\r\n]\+[ \t]*/ /g

	# repeat Until '/' character don't exists.
	t sumline
}

# remove first space each lines.
s/^[ \t]\+//g

# if iptables command is exists after separator,
# remove iptables command
s/@.*iptables[ \t]/@/g

# removed comment
s/[ \t]*#.*//g

# remove blank line
/^$/d

# print
/^@/p
